Find the answer to your Linux question:
Results 1 to 3 of 3
I am trying to install libOGG on FC4 and get the message "error: C++ preprocessor '/lib/cpp' fails sanity check" when I go to compile. I've already yum'ed gcc and installed ...
Enjoy an ad free experience by logging in. Not a member yet? Register.
  1. #1
    Just Joined!
    Join Date
    Dec 2007
    Posts
    17

    error: C++ preprocessor "/lib/cpp" fails sanity check


    I am trying to install libOGG on FC4 and get the message "error: C++ preprocessor '/lib/cpp' fails sanity check" when I go to compile.

    I've already yum'ed gcc and installed it, however, when I yum search for gcc-c++ or c++ i get hits but absolutely none of them work (404's). My repos are fedora-* and freshrpms. Google wasn't much help in finding alternate rpms. What's going on? I've spent an hour on this!

    BTW, I have cpp here: /usr/bin/cpp

    Why won't libOGG use it or find it? I am a Linux newbie. Thanks.

  2. #2
    Blackfooted Penguin daark.child's Avatar
    Join Date
    Apr 2006
    Location
    West Yorks
    Posts
    4,393
    Use a newer distribution e.g. Fedora 8. like I mentioned in your other thread, Fedora 4 is no longer supported by the Fedora Project.

  3. #3
    Just Joined!
    Join Date
    Dec 2007
    Posts
    17
    Okay, thanks for the reply. That is the impression I'm getting...that I need to upgrade. I am all new to this. Amazon only supplies FC4-based images, I wonder why?

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •